summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/magit/README9
-rw-r--r--development/magit/doinst.sh3
-rw-r--r--development/magit/magit.SlackBuild98
-rw-r--r--development/magit/magit.info10
-rw-r--r--development/magit/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/development/magit/README b/development/magit/README
new file mode 100644
index 0000000000..306e146740
--- /dev/null
+++ b/development/magit/README
@@ -0,0 +1,9 @@
+With Magit, you can inspect and modify your Git repositories with
+Emacs. You can review and commit the changes you have made to the tracked
+files, for example, and you can browse the history of past changes. There
+is support for cherry picking, reverting, merging, rebasing, and other
+common Git operations.
+
+Magit is not a complete interface to Git; it just aims to make the most
+common Git operations convenient. Thus, Magit will likely not save you
+from learning Git itself.
diff --git a/development/magit/doinst.sh b/development/magit/doinst.sh
new file mode 100644
index 0000000000..13d792131b
--- /dev/null
+++ b/development/magit/doinst.sh
@@ -0,0 +1,3 @@
+echo ""
+echo "put \"(require 'magit)\" in youre emacs startup file to enable magit"
+echo ""
diff --git a/development/magit/magit.SlackBuild b/development/magit/magit.SlackBuild
new file mode 100644
index 0000000000..8cc2058d90
--- /dev/null
+++ b/development/magit/magit.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for magit 0.8.2
+# Written by Asaf Ohaion <asaf at lingnu.com>
+
+#
+## Copyright 2010 Asaf Ohaion, <asaf at lingnu.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=magit
+VERSION=${VERSION:-0.8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#if [ ! -f "configure" ]; then
+# ./autogen.sh
+#fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS NEWS COPYING INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# remove unused /etc/emacs
+rm -rf $PKG/etc/emacs
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/magit/magit.info b/development/magit/magit.info
new file mode 100644
index 0000000000..2f55cbb531
--- /dev/null
+++ b/development/magit/magit.info
@@ -0,0 +1,10 @@
+PRGNAM="magit"
+VERSION="0.8.2"
+HOMEPAGE="http://philjackson.github.com/magit/"
+DOWNLOAD="https://github.com/downloads/philjackson/magit/magit-0.8.2.tar.gz"
+MD5SUM="fe7e1a1085190ede6bed49e406fe0ce9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Asaf Ohaion"
+EMAIL="asaf.tvn@gmail.com"
+APPROVED="Niels Horn"
diff --git a/development/magit/slack-desc b/development/magit/slack-desc
new file mode 100644
index 0000000000..d02256d83e
--- /dev/null
+++ b/development/magit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first "|" above the ":" following the base package name, and the "|"
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. Its also
+# customary to leave one space after the ":".
+
+ |-----handy-ruler------------------------------------------------------|
+magit: magit (Edit Git repositories with Emacs)
+magit:
+magit: With Magit, you can inspect and modify your Git repositories with
+magit: Emacs.
+magit:
+magit: You can review and commit the changes you have made to the tracked
+magit: files, for example, and you can browse the history of past changes.
+magit: There is support for cherry picking, reverting, merging, rebasing,
+magit: and other common Git operations.
+magit:
+magit: Homepage : https://github.com/philjackson/magit